//     ___  ___         PaLM library for Choco system
//    /__ \/ __\        (c) 2001 - 2004 -- Narendra Jussien
//   ____\ |/_____
//  /_____\/_____ \     PalmExplanation based constraint programming tool
// |/   (_)(_)   \|
//       \ /            Version 0.1
//       \ /            January 2004
//       \ /
// ______\_/_______     Contibutors: Franois Laburthe, Hadrien Cambazard, Guillaume Rochart...

package choco.palm.dbt.search;

import choco.AbstractConstraint;

/**
 * Created by IntelliJ IDEA.
 * User: grochart
 * Date: 7 janv. 2004
 * Time: 15:43:05
 * To change this template use Options | File Templates.
 */
public class TraceState extends PalmState {

  public TraceState(choco.palm.dbt.explain.PalmExplanation expl) {
    super(expl);
  }

  public void addDecision(AbstractConstraint constraint) {
    logger.info("Constraint " + constraint + " added.");
    super.addDecision(constraint);
  }

  public void removeDecision(AbstractConstraint constraint) {
    logger.info("Constraint " + constraint + " removed.");
    super.removeDecision(constraint);
  }
}
