package choco.real.search;

import choco.Var;
import choco.integer.search.IValIterator;

/**
 * J-CHOCO
 * Copyright (C) F. Laburthe, 1999-2003
 * <p/>
 * An open-source Constraint Programming Kernel
 * for Research and Education
 * <p/>
 * Created by: Guillaume on 2 nov. 2004
 */
public class RealIncreasingDomain implements IValIterator {

  public boolean hasNextVal(Var x, int i) {
    return i < 2;
  }

  public int getFirstVal(Var x) {
    return 1;
  }

  public int getNextVal(Var x, int i) {
    return 2;
  }
}
