package choco.test.global;

import junit.framework.Test;

import java.util.logging.Logger;

// **************************************************
// *                   J-CHOCO                      *
// *   Copyright (C) F. Laburthe, 1999-2004         *
// **************************************************
// *  an open-source Constraint Programming Kernel  *
// *     for Research and Education                 *
// **************************************************

public class TestSuite extends junit.framework.TestSuite {
  private static Logger logger = Logger.getLogger("choco.test");

  public static Test suite() {
    choco.test.global.TestSuite test = new choco.test.global.TestSuite();

    logger.fine("Build TestSuite for choco.test.global");
    test.addTestSuite(AllDifferentTest.class);
    test.addTestSuite(GlobalCardinalityTest.class);
    test.addTestSuite(OccurrenceTest.class);
    test.addTestSuite(CumulativeTest.class);
    test.addTestSuite(LexTest.class);
    return test;
  }
}
